CREATE TABLE traffic_stats (
  package_name VARCHAR(100),
  report_date INTEGER,
  network_type INTEGER,
  bytes_received INTEGER,
  bytes_sent INTEGER,
  bandwidth_saved INTEGER,
  blocked_ads INTEGER,
  blocked_threats INTEGER,
  blocked_trackers INTEGER,
  total_requests INTEGER
);

CREATE INDEX total_data_idx ON traffic_stats (report_date, network_type);
CREATE INDEX package_data_idx ON traffic_stats (package_name, report_date, network_type);

CREATE TABLE app_rules (
  package_name VARCHAR(100) PRIMARY KEY,
  traffic_filtering INTEGER DEFAULT 1,
  ad_blocking INTEGER DEFAULT 1,
  https_filtering INTEGER DEFAULT 1,
  firewall_notifications INTEGER DEFAULT 1,
  mobile_data INTEGER DEFAULT 1,
  wifi INTEGER DEFAULT 1,
  mobile_data_screen_off INTEGER DEFAULT 1,
  wifi_screen_off INTEGER DEFAULT 1
);

CREATE TABLE userscripts (
  name TEXT PRIMARY KEY,
  url TEXT,
  source_path TEXT,
  meta_path TEXT,
  enabled INTEGER,
  last_update_time LONG DEFAULT 0
);