CREATE table new_stats (
  package_name VARCHAR(100),
  report_date INTEGER,
  network_type INTEGER,
  bytes_received INTEGER,
  bytes_sent INTEGER,
  bandwidth_saved INTEGER,
  blocked_ads INTEGER,
  blocked_threats INTEGER
);

-- Get data of older table
INSERT INTO new_stats
    SELECT
        package_name,
        report_date,
        0 AS network_type,
        bytes_received,
        bytes_sent,
        bandwidth_saved,
        blocked_ads,
        blocked_threats
    FROM
        traffic_stats;

-- Delete the old table
DROP TABLE traffic_stats;

-- Rename the new table
ALTER TABLE new_stats RENAME TO traffic_stats;

-- Adding indexes
CREATE INDEX total_data_idx ON traffic_stats (report_date, network_type);
CREATE INDEX package_data_idx ON traffic_stats (package_name, report_date, network_type);